curl --request POST \
--url https://sandbox-rampa.mesadepagos.com/api/v2/fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pair": "USDC/BOB",
"transactionType": "withdrawal_express",
"amount": 0.5,
"type": "PERCENTAGE"
}
'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v2/fees"
payload = {
"pair": "USDC/BOB",
"transactionType": "withdrawal_express",
"amount": 0.5,
"type": "PERCENTAGE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pair: 'USDC/BOB',
transactionType: 'withdrawal_express',
amount: 0.5,
type: 'PERCENTAGE'
})
};
fetch('https://sandbox-rampa.mesadepagos.com/api/v2/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pair": "USDC/BOB",
"transactionType": "withdrawal_express",
"amount": 0.5,
"feeType": "PERCENTAGE",
"status": "CURRENT",
"createdBy": "Partner User",
"validUntil": "2026-05-12T12:00:00.000Z",
"supersededBy": {
"amount": 0.5,
"feeType": "PERCENTAGE",
"createdBy": "Partner User"
},
"predecessor": {
"amount": 0.5,
"feeType": "PERCENTAGE",
"createdBy": "Partner User"
}
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Crear fee
Crea una configuracion de fee para el business autenticado.
Autorizaciones
JWT obtenido desde /v2/auth/login
Cuerpo
Datos del fee a configurar.
Par de monedas para el fee.
USDC/BOB, BOB/USDC, USDT/BOB, BOB/USDT, USDT/PEN, USDT/BRL, USDT/CLP, USDT/COP, USDC/PEN, USDC/BRL, USDC/CLP, USDC/COP, USDT/USD, USDC/USD, USDT/EUR, USDC/EUR, EURC/EUR "USDC/BOB"
Tipo de transaccion al que aplica el fee.
deposit_express, deposit_cash, withdrawal_express, withdrawal_ach, withdrawal_pix, deposit_crypto, withdrawal_crypto, prefunding, deposit_card, withdrawal_ach_us, withdrawal_wire, withdrawal_swift, withdrawal_sepa "withdrawal_express"
Monto del fee. Debe ser mayor a cero.
x >= 00.5
PERCENTAGE se aplica sobre el tipo de cambio; FIXED se aplica sobre el monto total.
FIXED, PERCENTAGE "PERCENTAGE"
Respuesta
Fee creado exitosamente.
Par de monedas configurado para el fee.
USDC/BOB, BOB/USDC, USDT/BOB, BOB/USDT, USDT/PEN, USDT/BRL, USDT/CLP, USDT/COP, USDC/PEN, USDC/BRL, USDC/CLP, USDC/COP, USDT/USD, USDC/USD, USDT/EUR, USDC/EUR, EURC/EUR "USDC/BOB"
Tipo de transaccion al que aplica el fee.
deposit_express, deposit_cash, withdrawal_express, withdrawal_ach, withdrawal_pix, deposit_crypto, withdrawal_crypto, prefunding, deposit_card, withdrawal_ach_us, withdrawal_wire, withdrawal_swift, withdrawal_sepa "withdrawal_express"
Monto del fee.
0.5
Tipo de fee configurado.
FIXED, PERCENTAGE "PERCENTAGE"
Estado de vigencia del fee.
CURRENT, OLD "CURRENT"
Usuario que creo el fee.
"Partner User"
Fecha hasta la que fue valido el fee, si ya fue reemplazado.
"2026-05-12T12:00:00.000Z"
Fee que reemplazo a este registro, si existe.
Show child attributes
Show child attributes
Fee anterior que fue reemplazado por este registro, si existe.
Show child attributes
Show child attributes